Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for SAP BAPI API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sapbapiadapter.sapbapi
Interface Connector

All Known Implementing Classes:
  BapiClient, BapiServer, ConnectorClient, ConnectorServer

    public interface Connector

An interface to define the methods required by a SAP BAPI and IDOC connectors inbound and outbound transaction from and to SAP, respectively.

Version:
  $Revision: 1.2 $
Author:
  Rajesh Dhingra

Method Summary
`com.sap.mw.jco.JCO.Client` | `getClient()` Retrieves the SAP jCO client object.
`int` | `getClientMaxDBRows()` Retrieves the Maximum number of Rows the TID Database for client mode should have.
`java.lang.String` | `getTidDatabase()` Retrieves the TID Database to use for client mode.
`boolean` | `isTrfcEnabled()` Checks whether tRFC (transactional RFC) is enabled.
`void` | `setLastActivityTime(long lastActivityTime)` DOCUMENT ME!

Method Detail

### getTidDatabase

    java.lang.String getTidDatabase()

  Retrieves the TID Database to use for client mode. Interpretation subject to TID Manager Class.

  Returns:
    The TID Database name.

### isTrfcEnabled

    boolean isTrfcEnabled()

  Checks whether tRFC (transactional RFC) is enabled.

  Returns:
    `true` if tRFC is enabled; else `false`.

### getClient

    com.sap.mw.jco.JCO.Client getClient()

  Retrieves the SAP jCO client object.

  Returns:
    The jCO client handle.

### setLastActivityTime

    void setLastActivityTime(long lastActivityTime)

  DOCUMENT ME!

  Parameters:
    `lastActivityTime` - DOCUMENT ME!

### getClientMaxDBRows

    int getClientMaxDBRows()

  Retrieves the Maximum number of Rows the TID Database for client mode should have.

  Returns:
    Maximum Rows.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for SAP BAPI API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD